Configure Interaction Hook
Configure the Interaction Hook for the OID4VCI protocol on your tenant. Many credential issuance journeys require the issuer to perform custom interactions with the user. This could be gathering more information, performing additional authentication steps (E.g, 2FA, MFA or biometric checks) or communicating the terms of service. To facilitate this requirement, you can configure MATTR VII to invoke an interaction hook which will redirect the user to a custom component during the credential issuance journey. This redirect happens after the user is authenticated with your configured identity provider but before the credential is issued to the user. Upon successful completion of the interaction hook, your custom component will redirect the user back to their digital wallet to complete the credential issuance flow. Your interaction hook component can be either a web or native application. We recommend using a web interface because it's more compatible with most scenarios.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>The Interaction Hook configuration payload
application/json- body
interactionHook?Interaction Hook configuration.
Interaction Hook configured
application/json- response
interactionHook?Interaction Hook configuration.
curl -X PUT 'https://example.vii.au01.mattr.global/v1/openid/configuration' \ -H 'Content-Type: application/json' \ -d '{}'{ "interactionHook": { "url": "https://example-university.com/callback", "claims": [ "first_name", "last_name", "email" ], "sessionTimeoutInSec": 1200, "disabled": false, "secret": "dGtUrijBOT6UUJ8JO4kAFyGfhahDlVVeIk/sPbWTa7c=" }}How would you rate this page?